List webhook deliveries
const url = 'https://api.koneth.com/api/v1/organizations/b7378db4-5a7a-4e69-a8df-04f2e6d94243/webhook-deliveries';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.koneth.com/api/v1/organizations/b7378db4-5a7a-4e69-a8df-04f2e6d94243/webhook-deliveries \ --header 'Authorization: Bearer <token>'Returns up to the 100 most recent delivery attempts for the organization, newest first.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”UUID of the organization the signed-in user belongs to.
Example
b7378db4-5a7a-4e69-a8df-04f2e6d94243Responses
Section titled “Responses”Deliveries returned.
object
object
Stable event identity, also sent as X-Koneth-Event-Id.
Event an endpoint can subscribe to. position.closed reports a full
close and position.reduced reports a partial close that leaves the
position open.
Delivery attempts so far. The fifth failed attempt moves the delivery to dead_letter.
Time of the most recent attempt.
Example
{ "deliveries": [ { "id": "8b1d4d7a-4d2e-4b1c-9b26-0d5a1c1f9a11", "endpointId": "0f6f2d88-9357-4ce6-9b9e-76db2f98bb2e", "serverId": "6be9a699-2f28-402e-b64e-93ba6bdafe1b", "eventId": "d6b3ef8d-95a8-462d-90a5-3ef8fc3a6533", "eventType": "position.opened", "status": "delivered", "attempts": 1, "lastStatusCode": 200, "lastError": null, "deliveredAt": "2026-09-10T18:04:22.000Z", "createdAt": "2026-09-10T18:04:21.000Z" } ]}The Console session is missing or expired.
object
Validation issue details when the request fails schema validation.
object
Example
{ "error": "Authentication required"}The signed-in user is not an organization Owner or Finance member.
object
Validation issue details when the request fails schema validation.
object
Example
{ "error": "Insufficient organization permission"}Unexpected server error.
object
Validation issue details when the request fails schema validation.
object
Example
{ "error": "Internal server error"}